import axios from "../../utils/axios";

export function orderList(query) {
    return axios({
        url: "/admin/warehouse/inout/order/list",
        method: "get",
        params: query
    });
}

export function filterCode(query) {
    return axios({
        url: "/warehouse/inout/order/filterCode",
        method: "get",
        params: query
    });
}


export function orderListError(query) {
    return axios({
        url: "/admin/warehouse/inout/order/listerror",
        method: "get",
        params: query
    });
}

export function orderListRepeat(query) {
    return axios({
        url: "/admin/warehouse/inout/order/listRepeat",
        method: "get",
        params: query
    });
}

export function codeList(query) {
    return axios({
        url: "/admin/warehouse/inout/findByOrderId",
        method: "get",
        params: query
    });
}


export function findAllByOrderId(query) {
    return axios({
        url: "/admin/warehouse/inout/findAllByOrderId",
        method: "get",
        params: query
    });
}


export function mergeOrder(query) {
    return axios({
        url: "/warehouse/inout/order/mergeOrder",
        method: "post",
        data: query
    });
}

export function updateUnit(query) {
    return axios({
        url: "/warehouse/inout/order/unit",
        method: "post",
        data: query
    });
}

export function filterOrder(query) {
    return axios({
        url: "/warehouse/inout/order/filter",
        method: "get",
        params: query
    });
}

export function errorCodeList(query) {
    return axios({
        url: "/admin/warehouse/inout/findErrorByOrderId",
        method: "get",
        params: query
    });
}

export function deleteByOrderId(query) {
    return axios({
        url: "/warehouse/inout/order/deleteOrder",
        method: "post",
        data: query
    });
}

export function deleteCodes(query) {
    return axios({
        url: "/warehouse/inout/code/deleteCodes",
        method: "post",
        data: query
    });
}

export function commitOrder(query) {
    return axios({
        url: "/warehouse/inout/commit",
        method: "post",
        data: query
    });
}

export function updateExportStatus(query) {
    return axios({
        url: "/warehouse/inout/order/updateExportStatus",
        method: "post",
        data: query
    });
}


export function uploadOrder(query) {
    return axios({
        url: "/warehouse/inout/order/uploadOrder",
        method: "get",
        params: query
    });
}


export function orderDetail(query) {
    return axios(
        {
            url: "/warehouse/inout/order/detail",
            method: "get",
            params: query
        }
    )
}

